[support] Bungy's docker repository


Recommended Posts

I know this is probably a simple question but it has me stuck.

 

Running 6.9

Running NZBGet fine.

Trying to get NZBGETVPN to work. When I get GUI . I get and error  - page can't be reached.

 

I have set port to. -6789

I had added my user/pass to VPN account

What am I missing?

I say Space Invader's Deluge vi so I added the .crt file and the vpn server config file to the OpenVPN folder as well just in case. My provider does not have a .rem file.

 

Since I have worked with NZBget for years it would be nice to get this vpn version working.

 

Thanks in advance.

 

Link to comment
5 hours ago, Profezor said:

I know this is probably a simple question but it has me stuck.

 

Running 6.9

Running NZBGet fine.

Trying to get NZBGETVPN to work. When I get GUI . I get and error  - page can't be reached.

 

I have set port to. -6789

I had added my user/pass to VPN account

What am I missing?

I say Space Invader's Deluge vi so I added the .crt file and the vpn server config file to the OpenVPN folder as well just in case. My provider does not have a .rem file.

 

Since I have worked with NZBget for years it would be nice to get this vpn version working.

 

Thanks in advance.

 

Doesn’t really answer your question as to why you can’t get NZBgetVPN working but with some recent changes, it might be worth looking into binding non-VPN comtainers to a VPN container. In this case, Deluge or Jackett seem be the most popular. This would allow you to use the non-VPN version of NzBget with a VPN.

  • Like 1
Link to comment
17 hours ago, betaman said:

Doesn’t really answer your question as to why you can’t get NZBgetVPN working but with some recent changes, it might be worth looking into binding non-VPN comtainers to a VPN container. In this case, Deluge or Jackett seem be the most popular. This would allow you to use the non-VPN version of NzBget with a VPN.

I was leaning that way. Thanks for the push.

Link to comment
9 hours ago, Profezor said:

I was leaning that way. Thanks for the push.

Haha, I’m in the same position and also looking for a push! In my case, I want to be sure this is the best method for Emby (remote viewing) and Kodi with a VPN (currently using privoxy via DelugeVPN). Between wiregaurd, Jackett etc, I feel like there’s more than a couple ways to skin this cat!

Link to comment
  • 5 months later...

Guys, just a quick question, hopefully someone can push me in the right thought direction to resolve the problem. I recently upgraded NZBGETVPN docker via the install menu which it threw up to the latest version 1.21  All seemed to go ok but since then my download speeds have halved. Checked vpn ip and it seems to be using the selected location, in my case London via a PIA vpn. I normally get the full speed out of my 200Mb line of around 22/23 MB/s but since the upgrade i'm barely getting 8/9 at a push. Any ideas what could be causing this, is there something in the docker config needs tweaking or changing? Is wireguard an issue and how do i check what protocol i'm currently using? I know nothing of the setup thats the problem here ...

 

Here's an extract of my supervisor log, just the setup options, do they look ok?

 

2021-08-31 21:07:40.206840 [info] System information Linux d96757588c45 5.10.28-Unraid #1 SMP Wed Apr 7 08:23:18 PDT 2021 x86_64 GNU/Linux
2021-08-31 21:07:40.272304 [info] OS_ARCH defined as 'x86-64'
2021-08-31 21:07:40.329106 [warn] PUID not defined (via -e PUID), defaulting to '99'
2021-08-31 21:07:40.413974 [warn] PGID not defined (via -e PGID), defaulting to '100'
2021-08-31 21:07:40.490229 [warn] UMASK not defined (via -e UMASK), defaulting to '000'
2021-08-31 21:07:40.529665 [info] Permissions already set for volume mappings
2021-08-31 21:07:40.593252 [info] Deleting files in /tmp (non recursive)...
2021-08-31 21:07:40.639231 [info] VPN_ENABLED defined as 'yes'
2021-08-31 21:07:40.680060 [warn] VPN_CLIENT not defined (via -e VPN_CLIENT), defaulting to 'openvpn'
2021-08-31 21:07:40.718761 [info] VPN_PROV defined as 'pia'
2021-08-31 21:07:41.601895 [info] OpenVPN config file (ovpn extension) is located at /config/openvpn/UK London.ovpn
2021-08-31 21:07:41.677550 [info] VPN remote server(s) defined as 'uk-london.privacy.network,'
2021-08-31 21:07:41.714522 [info] VPN remote port(s) defined as '1198,'
2021-08-31 21:07:41.749469 [info] VPN remote protcol(s) defined as 'udp,'
2021-08-31 21:07:41.790635 [info] VPN_DEVICE_TYPE defined as 'tun0'
2021-08-31 21:07:41.829607 [info] VPN_OPTIONS not defined (via -e VPN_OPTIONS)
2021-08-31 21:07:41.868827 [info] LAN_NETWORK defined as '192.168.1.0/24'
2021-08-31 21:07:41.908136 [warn] NAME_SERVERS not defined (via -e NAME_SERVERS), defaulting to name servers defined in readme.md
2021-08-31 21:07:41.947408 [info] VPN_USER defined as 'pxxxxxxx'
2021-08-31 21:07:41.986601 [info] VPN_PASS defined as '*********'
2021-08-31 21:07:42.025723 [warn] STRICT_PORT_FORWARD not defined (via -e STRICT_PORT_FORWARD), defaulting to 'yes'
2021-08-31 21:07:42.065442 [warn] ENABLE_PRIVOXY not defined (via -e ENABLE_PRIVOXY), defaulting to 'no'
2021-08-31 21:07:42.105953 [info] ADDITIONAL_PORTS not defined (via -e ADDITIONAL_PORTS), skipping allow for custom incoming ports
2021-08-31 21:07:42.146519 [info] Starting Supervisor...
2021-08-31 21:07:42,611 INFO Included extra file "/etc/supervisor/conf.d/nzbget.conf" during parsing
2021-08-31 21:07:42,611 INFO Set uid to user 0 succeeded
2021-08-31 21:07:42,617 INFO supervisord started with pid 9
2021-08-31 21:07:43,620 INFO spawned: 'shutdown-script' with pid 171
2021-08-31 21:07:43,622 INFO spawned: 'start-script' with pid 172
2021-08-31 21:07:43,623 INFO spawned: 'watchdog-script' with pid 173
2021-08-31 21:07:43,624 INFO reaped unknown pid 10 (exit status 0)
2021-08-31 21:07:43,655 DEBG 'start-script' stdout output:
[info] VPN is enabled, beginning configuration of VPN

 

Looks like i'm missing afew fields which are just being defaulted but are there any significant omissions cos a si say everything has been working at full tilt until the latest update. Is there any way to go back a version?

Edited by superloopy1
Link to comment
1 hour ago, superloopy1 said:

Nobody to take a look?

 

Hmm i don't know if a reason why your speeds would be halved. You can downgrade by specifying a tag for the image. You can try tag :v21.0-2

 

Another alternative is to use wireguard instead of openvpn. You should see full speeds with wireguard.

Link to comment
  • 3 weeks later...
On 9/4/2021 at 3:47 PM, Bungy said:

 

Hmm i don't know if a reason why your speeds would be halved. You can downgrade by specifying a tag for the image. You can try tag :v21.0-2

 

Another alternative is to use wireguard instead of openvpn. You should see full speeds with wireguard.

Hmmm ... i missed this one, thanks for responding though. Seems it was nothing to do with my end, speeds cam back after a couple of days, i did nowt!

Link to comment

need help in finding the .pem file

@brute-force Thanks for the fix.

@ALL For your convenience I've prepared fixed cacert.pem: https://nzbget.net/info/cacert.pem.
Please download it using your web-browser and put it over existing file in nzbget installation:

On Windows: under C:\Program Files\NZBGet;
On Mac: /Applications/NZBGet.app/Contents/Resources/tools;
On Linux if you use installation package from nzbget download page: in nzbget installation directory, the file is near nzbget executable;
On Linux if you use Docker: inside docker container in nzbget installation directory, the file is near nzbget executable.
When downloading the file please make sure it was saved as cacert.pem, some browsers may change file extension.
After replacing cacert.pem you need to reload nzbget via Settings->System->Reload or just restart the app.

Alternative you can instead disable certificate validation via option CertCheck in Settings -> Security.

@wolrah At the moment file provided by curl.se still includes the outdated certificate. Using it shouldn't have helped with the issue. The manual editing of the file is necessary.

I'm going to provide an update for NZBGet ASAP... but you will not be able to install it via NZBGet web UI. What a joke.

BTW, if someone with sed/awk/grep skills can code a command which would remove this certificate from cacert.pem - that would be a great help. I need that command for the build script. Thanks.

 

Thanks

Myk

Link to comment
2 hours ago, MyKroFt said:

need help in finding the .pem file

@brute-force Thanks for the fix.

@ALL For your convenience I've prepared fixed cacert.pem: https://nzbget.net/info/cacert.pem.
Please download it using your web-browser and put it over existing file in nzbget installation:

On Windows: under C:\Program Files\NZBGet;
On Mac: /Applications/NZBGet.app/Contents/Resources/tools;
On Linux if you use installation package from nzbget download page: in nzbget installation directory, the file is near nzbget executable;
On Linux if you use Docker: inside docker container in nzbget installation directory, the file is near nzbget executable.
When downloading the file please make sure it was saved as cacert.pem, some browsers may change file extension.
After replacing cacert.pem you need to reload nzbget via Settings->System->Reload or just restart the app.

Alternative you can instead disable certificate validation via option CertCheck in Settings -> Security.

@wolrah At the moment file provided by curl.se still includes the outdated certificate. Using it shouldn't have helped with the issue. The manual editing of the file is necessary.

I'm going to provide an update for NZBGet ASAP... but you will not be able to install it via NZBGet web UI. What a joke.

BTW, if someone with sed/awk/grep skills can code a command which would remove this certificate from cacert.pem - that would be a great help. I need that command for the build script. Thanks.

 

Thanks

Myk

 

I can help here.

 

Enter the console of the docker then:

cd usr/bin/nzbget_bin

nano cacert.pem

 

After you're in the editor, make sure you're at the top of the file. Should look like this:

 

|##
 ## Bundle of CA Root Certificates
 ##

 

Press Alt + A to start highlighting a block. Pgdn until the entire file is highlighted then Ctrl + K to delete the contents.

 

Copy + paste new contents from the fixed .pem in your link.

 

Control + X to exit. Y to confirm write changes. Enter to confirm file name.

 

Restart the nzbget docker.

 

Finished.

  • Thanks 1
Link to comment
On 10/2/2021 at 6:43 AM, jande133 said:

 

I can help here.

 

Enter the console of the docker then:

cd usr/bin/nzbget_bin

nano cacert.pem

 

After you're in the editor, make sure you're at the top of the file. Should look like this:

 

|##
 ## Bundle of CA Root Certificates
 ##

 

Press Alt + A to start highlighting a block. Pgdn until the entire file is highlighted then Ctrl + K to delete the contents.

 

Copy + paste new contents from the fixed .pem in your link.

 

Control + X to exit. Y to confirm write changes. Enter to confirm file name.

 

Restart the nzbget docker.

 

Finished.

Thank you for that! 
I was also stuck on trying to find it <3

 

Link to comment
  • 2 weeks later...

My docker drive crashed so I had to rebuild all my dockers.

 

When I try to start the docker it connects to VPN fine, but the server wont start.  I get the message:

2021-10-19 13:00:15,888 DEBG 'watchdog-script' stdout output:
[info] Attempting to start nzbget...

2021-10-19 13:00:26,999 DEBG 'watchdog-script' stdout output:
[warn] Wait for nzbget process to start aborted, too many retries

 

If I get a console for the docker and run nzbget -c nzbget.config -D it runs just fine.

 

Any ideas on why it won't run when the docker starts?  I'm not sure where to fine a log file that might help.

 

thanks

david

Link to comment

might be a stupid question, but do i have to use postgres with this tool? or could i use mariadb? (i dont really know the differenct, sorry) and do i have to use your redis? i already have another redis container installed, so dont need two of them ;)

 

edit: this is for gitlab, if it wasn't clear.

Edited by Hugh Jazz
Link to comment
3 hours ago, lovingHDTV said:

My docker drive crashed so I had to rebuild all my dockers.

 

When I try to start the docker it connects to VPN fine, but the server wont start.  I get the message:

2021-10-19 13:00:15,888 DEBG 'watchdog-script' stdout output:
[info] Attempting to start nzbget...

2021-10-19 13:00:26,999 DEBG 'watchdog-script' stdout output:
[warn] Wait for nzbget process to start aborted, too many retries

 

If I get a console for the docker and run nzbget -c nzbget.config -D it runs just fine.

 

Any ideas on why it won't run when the docker starts?  I'm not sure where to fine a log file that might help.

 

thanks

david

Oddly I can just run /home/nobody/wathdog.sh and it will run when I do it from the command line. When run from the system nzbget fails to run.

 

 

  • Like 1
Link to comment
  • 1 month later...
  • 2 weeks later...

Since the 9th, everything is failing post-processing. Prior to that I had no issues and I don't think I changed anything. I tried updating videosort to see if that fixed the issue with no luck. Any suggestions? I've trimmed the log from the 7th, when I know it was working until now.

 

supervisord.log

Edited by Vance
Link to comment
On 12/11/2021 at 3:42 PM, Vance said:

Since the 9th, everything is failing post-processing. Prior to that I had no issues and I don't think I changed anything. I tried updating videosort to see if that fixed the issue with no luck. Any suggestions? I've trimmed the log from the 7th, when I know it was working until now.

 

supervisord.log 129.69 kB · 0 downloads

The logs don't show anything related to the post processing. What's likely happening is the new image removes python2 because it's deprecated and no longer a support runtime. Likely you'll need to update your post process scripts to python3 and update the python path in your scripts' shebang.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.